### A free/open-source library for quantitative finance

Public Types | Public Member Functions
OvernightIndexedSwap Class Reference

Overnight indexed swap: fix vs compounded overnight rate. More...

`#include <ql/instruments/overnightindexedswap.hpp>`

Inheritance diagram for OvernightIndexedSwap:
[legend]

List of all members.

## Public Types

enum | Type { Receiver = -1, Payer = 1 }

## Public Member Functions

| OvernightIndexedSwap (Type type, Real nominal, const Schedule &schedule, Rate fixedRate, const DayCounter &fixedDC, const boost::shared_ptr< OvernightIndex > &overnightIndex, Spread spread=0.0)
| OvernightIndexedSwap (Type type, std::vector< Real > nominals, const Schedule &schedule, Rate fixedRate, const DayCounter &fixedDC, const boost::shared_ptr< OvernightIndex > &overnightIndex, Spread spread=0.0)
Inspectors
Type | type () const
Real | nominal () const
std::vector< Real > | nominals () const
Frequency | paymentFrequency ()
Rate | fixedRate () const
const DayCounter & | fixedDayCount ()
const boost::shared_ptr < OvernightIndex > & | overnightIndex ()
Spread | spread ()
const Leg & | fixedLeg () const
const Leg & | overnightLeg () const
Results
Real | fixedLegBPS () const
Real | fixedLegNPV () const
Real | fairRate () const
Real | overnightLegBPS () const
Real | overnightLegNPV () const
Spread | fairSpread () const

## Detailed Description

Overnight indexed swap: fix vs compounded overnight rate.